//More Information at: https://wwww.aeq-web.com/
//RadioHead Library at: http://www.airspayce.com/mikem/arduino/RadioHead/
#include <SPI.h>
#include <RH_RF95.h>

RH_RF95 rf95;
int led = 13;

void setup() 
{
  pinMode(led, OUTPUT);     
  Serial.begin(9600);
  delay(4000);
  if (!rf95.init()){
    Serial.println("init failed");
  } 
}

void loop()
{
  if (rf95.available())
  {  
    uint8_t buf[RH_RF95_MAX_MESSAGE_LEN];
    uint8_t len = sizeof(buf);
    if (rf95.recv(buf, &len))
    {
      digitalWrite(led, HIGH);
      Serial.print("Response from slave: ");
      Serial.println((char*)buf);
      Serial.print("RSSI: ");
      Serial.print(rf95.lastRssi(), DEC);
      Serial.print(" dBm");
      
      // Send a response
      uint8_t data[] = "Hello Slave!";
      rf95.send(data, sizeof(data));
      rf95.waitPacketSent();
      Serial.println("Send response to slave");
      digitalWrite(led, LOW);
    }
    else
    {
      Serial.println("Can´t receive packet!");
    }
  }
}
