//More Information at: https://wwww.aeq-web.com/
//RadioHead Library at: http://www.airspayce.com/mikem/arduino/RadioHead/
#include <SPI.h>
#include <RH_RF95.h>

RH_RF95 rf95;

void setup()
{
  Serial.begin(9600);
  delay(4000);
  if (!rf95.init()){
    Serial.println("init failed");
  }
}

void loop()
{
  Serial.println("Send to Master");
  uint8_t data[] = "Testpacket from slave";
  rf95.send(data, sizeof(data)); //Send to master
  rf95.waitPacketSent();
  uint8_t buf[RH_RF95_MAX_MESSAGE_LEN];
  uint8_t len = sizeof(buf);

  if (rf95.waitAvailableTimeout(3000))//Listen for a response
  {
    if (rf95.recv(buf, &len)) //If data is received
    {
      Serial.print("Response from Master: ");
      Serial.println((char*)buf);
      Serial.print("Signal RSSI: ");
      Serial.print(rf95.lastRssi(), DEC);
      Serial.print(" dBm");
    }
    else
    {
      Serial.println("Can´t receive packet!");
    }
  }
  else
  {
    Serial.println("No response! Is master in range and on?");
  }
  delay(400);
}
